Bug 234577 - databases/mysql-connector-c++: Update to 8.0.13
Summary: databases/mysql-connector-c++: Update to 8.0.13
Status: Open
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Muhammad Moinur Rahman
URL: https://dev.mysql.com/doc/dev/connect...
Keywords: needs-qa
Depends on:
Blocks:
 
Reported: 2019-01-02 17:01 UTC by Daniël van Eeden
Modified: 2019-04-04 10:24 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (bofh)


Attachments
Patch (7.65 KB, patch)
2019-01-02 17:01 UTC, Daniël van Eeden
no flags Details | Diff
Patch (fixed) (7.65 KB, patch)
2019-01-02 17:04 UTC, Daniël van Eeden
no flags Details | Diff
Patch (fixed, really) (7.70 KB, patch)
2019-01-02 17:05 UTC, Daniël van Eeden
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Daniël van Eeden 2019-01-02 17:01:06 UTC
Created attachment 200719 [details]
Patch

A new major version of MySQL Connector/C++

This adds C and C++ bindings for XDevAPI.

https://dev.mysql.com/doc/dev/connector-cpp/8.0/
Comment 1 Daniël van Eeden 2019-01-02 17:04:58 UTC
Created attachment 200720 [details]
Patch (fixed)
Comment 2 Daniël van Eeden 2019-01-02 17:05:41 UTC
Created attachment 200721 [details]
Patch (fixed, really)
Comment 3 Daniël van Eeden 2019-01-14 10:45:54 UTC
Anything you need from me?
Comment 4 Muhammad Moinur Rahman freebsd_committer 2019-01-14 20:23:20 UTC
(In reply to Daniël van Eeden from comment #3)
Noops. It's just this version uses mysql 5.7 instead of 5.6(DEFAULT_VERSION). So I am trying to figure out a way to add it.
Comment 5 Muhammad Moinur Rahman freebsd_committer 2019-04-04 10:24:04 UTC
Build fails on 12.X, HEAD and 11.X amd64 due to SSL.